import { ElementRef, OnInit, EventEmitter, OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Observable } from 'rxjs';
export declare class EditorComponent implements ControlValueAccessor, OnInit, OnDestroy {
    editorRef: ElementRef;
    value: string;
    placeholder: string;
    name: string;
    forId: string;
    uploader: (type: string) => (string | Promise<string> | Observable<string>);
    uiChange: EventEmitter<string>;
    styleSheet: string;
    private editor;
    private onChange;
    private onTouched;
    private sub;
    ngOnInit(): void;
    ngOnDestroy(): void;
    focus(): void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
